unit mainform;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Menus,
  StdCtrls, htmlhelp;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label1: TLabel;
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure MenuItem5Click(Sender: TObject);
  private
    function HelpHandler(Command:word; Data:PtrInt; var CallHelp:Boolean): Boolean;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  chmfile: String;
begin
  chmfile := ChangeFileExt(Application.ExeName, '.chm');
  if FileExists(chmfile) then begin
    Application.HelpFile := chmfile;
    Application.OnHelp := @HelpHandler;
  end;
end;

// Call HTML help (.chm file)
function TForm1.HelpHandler(Command:word; Data:PtrInt;
  var CallHelp:Boolean): Boolean;
begin
  htmlhelp.HtmlHelp(0, PChar(Application.HelpFile), HH_HELP_CONTEXT, Data);

  // Don't call regular help
  CallHelp := False;
end;

procedure TForm1.MenuItem5Click(Sender: TObject);
begin
  htmlHelp.HtmlHelp(0, PChar(Application.HelpFile), HH_HELP_CONTEXT, (Sender as TMenuItem).HelpContext);
end;

end.

